/*
 * @Author: Kane
 * 
 * @Date: 2025-03-06 14:33:27
 * 
 * @LastEditors: Kane
 * 
 * @FilePath: /cpicxim-XMNHSA-repeater/src/main/java/com/cpic/xim/huixiabao/data/pojo/HmbXyxInfo.java
 * 
 * @Description: 小药箱接口参数描述
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved.
 */
package com.cpic.xim.huixiabao.data.pojo;

// import com.fasterxml.jackson.annotation.JsonInclude;
// import com.fasterxml.jackson.annotation.JsonProperty;
// import com.fasterxml.jackson.annotation.JsonPropertyOrder;

// @JsonInclude( JsonInclude.Include.NON_EMPTY )
// @JsonPropertyOrder( alphabetic = true )
public class HmbXyxInfo
{

    public HmbXyxInfo( String psnName,
                       String certNo,
                       String serviceId,
                       String status,
                       String xyxNo )
    {
        this.psnName   = psnName;
        this.certNo    = certNo;
        this.serviceId = serviceId;
        this.status    = status;
        this.xyxNo     = xyxNo;
    }

    public String getPsnName()
    {
        return psnName;
    }

    public void setPsnName( String psnName )
    {
        this.psnName = psnName;
    }

    public String getCertNo()
    {
        return certNo;
    }

    public void setCertNo( String certNo )
    {
        this.certNo = certNo;
    }

    public String getServiceId()
    {
        return serviceId;
    }

    public void setServiceId( String serviceId )
    {
        this.serviceId = serviceId;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus( String status )
    {
        this.status = status;
    }

    public String getXyxNo()
    {
        return xyxNo;
    }

    public void setXyxNo( String xyxNo )
    {
        this.xyxNo = xyxNo;
    }

    @Override
    public String toString()
    {
        return "HmbXyxInfo [psnName=" + psnName + ", certNo=" + certNo + ", serviceId=" + serviceId + ", status=" + status + ", xyxNo=" + xyxNo + "]";
    }

    private String psnName;
    private String certNo;
    private String serviceId;
    private String status;
    private String xyxNo;

}